Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.icons
Class OWLIcons.MulticoloredReadOnlyFilter

    java.lang.Object
      java.awt.image.ImageFilter
          java.awt.image.RGBImageFilter
              edu.stanford.smi.protegex.owl.ui.icons.OWLIcons.MulticoloredReadOnlyFilter

All Implemented Interfaces:
  ImageConsumer, Cloneable

Enclosing class:
  OWLIcons

    public static class OWLIcons.MulticoloredReadOnlyFilter

extends RGBImageFilter

Field Summary

Fields inherited from class java.awt.image.RGBImageFilter
`canFilterIndexColorModel, newmodel, origmodel`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Constructor Summary
`OWLIcons.MulticoloredReadOnlyFilter()`

Method Summary
`int` | `filterRGB(int x, int y, int rgb)`

Methods inherited from class java.awt.image.RGBImageFilter
`filterIndexColorModel, filterRGBPixels, setColorModel, setPixels, setPixels, substituteColorModel`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setDimensions, setHints, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLIcons.MulticoloredReadOnlyFilter

    public OWLIcons.MulticoloredReadOnlyFilter()

Method Detail

### filterRGB

    public int filterRGB(int x,
                         int y,
                         int rgb)

  Specified by:
    `filterRGB` in class `RGBImageFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.